#!/usr/bin/env python
#
# This file is part of python-rhev. python-rhev is free software that is
# made available under the MIT license. Consult the file "LICENSE" that
# is distributed together with this file for the exact licensing terms.
#
# python-rhev is copyright (c) 2010-2011 by the python-rhev authors. See
# the file "AUTHORS" for a complete overview.

# This example demonstrates how to use the RHEV-M search syntax to get around
# the limitation that the API will only return 100 results by default.

import sys
import os.path

import rhev
from rhev import schema
import common


common.create_parser()
common.parse_args()
api = common.connect()

vms = []
page = 1
while True:
    batch = api.getall(schema.VM, search='sortby name asc page %d' % page)
    if not batch:
        break
    vms += batch
    print 'getall() returned %d VMs' % len(batch)
    page += 1

print 'Fetched a total of %d VMs in %d batches' % (len(vms), (page-1))
